Apache log4cxx: DateFormat Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DateFormat Class Reference

Inherits ObjectImpl.

Inherited by RelativeTimeDateFormat, SimpleDateFormat, StrftimeDateFormat, and CachedDateFormat.

List of all members.

## Detailed Description

DateFormat is an abstract class for date/time formatting patterned after java.text.DateFormat.

## Public Member Functions
virtual | ~DateFormat ()
| Destructor.
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const =0
| Formats an log4cxx_time_t into a date/time string.
virtual void | setTimeZone (const TimeZonePtr &zone)
| Sets the time zone.
virtual void | numberFormat (LogString &s, int n, log4cxx::helpers::Pool &p) const
| Format an integer consistent with the format method.
## Protected Member Functions
| DateFormat ()
| Constructor.

## Constructor & Destructor Documentation

virtual ~DateFormat | ( |  | ) | `[virtual]`

| Destructor.

DateFormat | ( |  | ) | `[protected]`

| Constructor.

## Member Function Documentation

virtual void format | ( | LogString & | s,
|  | log4cxx_time_t | tm,
|  | log4cxx::helpers::Pool & | p
| ) | const`[pure virtual]`

  | Formats an log4cxx_time_t into a date/time string. Parameters:
  | s | string to which the date/time string is appended.
  | tm | date to be formatted.
  | p | memory pool used during formatting.
Implemented in CachedDateFormat, RelativeTimeDateFormat, SimpleDateFormat, and StrftimeDateFormat.

virtual void numberFormat | ( | LogString & | s,
|  | int | n,
|  | log4cxx::helpers::Pool & | p
| ) | const`[virtual]`

  | Format an integer consistent with the format method. Parameters:
  | s | string to which the numeric string is appended.
  | n | integer value.
  | p | memory pool used during formatting.
Remarks: This method is used by CachedDateFormat to format the milliseconds. Reimplemented in CachedDateFormat.

virtual void setTimeZone | ( | const TimeZonePtr & | zone | ) | `[virtual]`

  | Sets the time zone. Parameters:
  | zone | the given new time zone.
Reimplemented in SimpleDateFormat, and StrftimeDateFormat.

The documentation for this class was generated from the following file:

- dateformat.h